<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">celInitializer Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classcelInitializer.html">celInitializer</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#a7a0a6109c1b81c62f6a8a5403b37eee6">CloseApplication</a>(iObjectRegistry *)</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html">csInitializer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#a365fcdf91251bf194a79d0f7efd30476">CreateCommandLineParser</a>(iObjectRegistry *, int argc, char const *const argv[])</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html">csInitializer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#a21395917eb5bddf75bc91d9c94b5b8c2">CreateConfigManager</a>(iObjectRegistry *)</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html">csInitializer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#a861bf8c74a2e7479f7619f783003e642">CreateEnvironment</a>(int argc, char const *const argv[], bool scanDefaultPluginPaths=true)</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html">csInitializer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#a27186a56f0c404dfd3885cb923ea8f83">CreateEventQueue</a>(iObjectRegistry *)</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html">csInitializer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#a3c3ab90760545b22e27b3d04d0c229dd">CreateInputDrivers</a>(iObjectRegistry *)</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html">csInitializer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#a92a16794e9daa943a075d8b583ea77a9">CreateObjectRegistry</a>()</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html">csInitializer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#aabf9802ed5ffa9cc5901d1e931dd14d6">CreatePluginManager</a>(iObjectRegistry *)</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html">csInitializer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#a25466bd8c4b25ce886621caf97f1e49d">CreateStringSet</a>(iObjectRegistry *)</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html">csInitializer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#a9e6eab528c8edf609358509c5c25e887">CreateSystemOpenManager</a>(iObjectRegistry *)</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html">csInitializer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#a1772b8fe00ff33b54d06735f9542ef01">CreateThreadManager</a>(iObjectRegistry *)</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html">csInitializer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#a3c69bf9937b54c628e006c63b058e10e">CreateVerbosityManager</a>(iObjectRegistry *)</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html">csInitializer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#af901f656488eb514e42b8d8e9d675a64">CreateVirtualClock</a>(iObjectRegistry *)</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html">csInitializer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#a20e8aa3c7ab8c1070dc77e8423927359">DestroyApplication</a>(iObjectRegistry *)</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html">csInitializer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#a80223ebc212454ae268702c2bf9ba740">GetDefaultAppID</a>()</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html">csInitializer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#a8eb5188d9f716d897f3b5b1400f0e2a0">InitializeSCF</a>(int argc, char const *const argv[], bool scanDefaultPluginPaths=true)</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html">csInitializer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#a62d7b06d7b0b8192496a8a743584c603">OpenApplication</a>(iObjectRegistry *)</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html">csInitializer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classcelInitializer.html#a19815a8a2cf3c725f25216e30f9f57ef">RequestPlugins</a>(iObjectRegistry *,...)</td><td><a class="el" href="classcelInitializer.html">celInitializer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classcelInitializer.html#a1c86e5dc368e6f355fee04dd0425bd5e">RequestPlugins</a>(iObjectRegistry *, csArray&lt; csPluginRequest &gt; const &amp;)</td><td><a class="el" href="classcelInitializer.html">celInitializer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classcelInitializer.html#ad8174b83a167f0743f254dd4870d5765">RequestPluginsV</a>(iObjectRegistry *, va_list)</td><td><a class="el" href="classcelInitializer.html">celInitializer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classcelInitializer.html#afac6b242b5155031da6b342b09c93b7f">SetupCelPluginDirs</a>(iObjectRegistry *r)</td><td><a class="el" href="classcelInitializer.html">celInitializer</a></td><td><code> [inline, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classcelInitializer.html#af2bd72a3f4eaf547360c0848c52e35f2">SetupConfigManager</a>(iObjectRegistry *r, char const *configName, char const *AppID=0)</td><td><a class="el" href="classcelInitializer.html">celInitializer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#afb00dbc9af36eaeb5a536aca89679ad4">SetupEventHandler</a>(iObjectRegistry *, csEventHandlerFunc)</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html">csInitializer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#a4327f1348b68f6de226528de02b4ed5e">SetupEventHandler</a>(iObjectRegistry *, csEventHandlerFunc, const csEventID events[])</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html">csInitializer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#af3e61907586204cc1c5d844ec3d0ea7a">SetupEventHandler</a>(iObjectRegistry *, iEventHandler *, const csEventID[])</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html">csInitializer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classcelInitializer.html#a53fc51e375be0b5aec2598a0ebbe6e1e">SetupVFS</a>(iObjectRegistry *objectReg, const char *pluginID=&quot;crystalspace.kernel.vfs&quot;)</td><td><a class="el" href="classcelInitializer.html">celInitializer</a></td><td><code> [static]</code></td></tr>
</table></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
